=== debian/changelog ===
python-ifcfg (0.18-1osrf~buster) buster; urgency=medium

  * Imported upstream version 0.18

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 04 Sep 2019 12:15:09 +0000
