=== debian/control ===
Source: python-ifcfg
Section: python
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-nose, python3-mock
X-Python3-Version: >= 3.5
Standards-Version: 4.1.4
Vcs-Browser: https://github.com/osrf/python-ifcfg-release
Vcs-Git: https://github.com/osrf/python-ifcfg-release
Homepage: https://github.com/ftao/python-ifcfg

Package: python3-ifcfg
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python cross-platform network interface discovery (Python 3)
 Ifcfg is a cross-platform (Windows/Unix) library for parsing ifconfig and
 ipconfig output in Python. It is useful for pulling information such as IP,
 Netmask, MAC Address, Hostname, etc.
 .
 This is the Python 3 version of the package.
