=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file

version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/ftao/python-ifcfg/tags .*/v?(\d\S+)\.tar\.gz
